# Prism Linux

Prism Linux - a homebrew LLVM+musl, suckless, Hummingbird and pkgsrc-based Linux distribution loosely based on Linux From Scratch.

## Why choose Prism?

Honestly, choose it if you're used to systems like KISS or NetBSD. Other than that, just try to avoid it. It's strongly experimental.

## What are the licencing terms?

Well, it depends. Mainly GPLv2/v3 or BSD-style. The vast majority of the system is designed for dodging the GNU userspace with a few exceptions, every source package will be available in the repo so you can figure it out.

## What is the application of this distro?

Personal use or development. The bootstrap image is just supposed to feature a toolchain, package manager, init system and basic userspace tools. A bunch of binary packages will be hosted on the online repository, but things like an X11 environment will have to be built on your end using pkgsrc.

## Will there be support for architectures other than AMD64?

I do have it in mind and I'm open to contributions, but as for now the answer is "no".

## What package managers does the system feature?

There's the POSIX sh-based custom `pkgmgr` (basically just a set of scripts to update the base system) and then there's `pkgsrc` (source) with `pkgin` (binary).

## What release model is planned?

All things considered, the most optimal update model for me would be once every 3 months, which would line up with the pkgsrc snapshot updates.

## Where can I find the documentation for the system?

Most answers you can find in manpages of the packages or the pkgsrc wiki pages, and there's a plan of creating a documentation page for the `pkgmgr` package system on the repository tree.

## Any personal notes?

Yes! Please try to avoid using GNU utilites as much as possible, use filesystems like btrfs, JFS or HFS+ (to replicate my experiences) and use LTS kernels.

## Can you provide us with binary kernel images?

Possibly in the future, but as for now I'd prefer to have people building their own images simply because of how god damn heavy my personal config is, heh...
